From af57e662a578327c1990d59f47dfb0ad448af16d Mon Sep 17 00:00:00 2001
From: Lindsay Evans <linz@linz.id.au>
Date: Mon, 23 Apr 2012 22:11:22 +1000
Subject: [PATCH] Initial implementation

---
 index.html | 11 +++++++++++
 outline.js | 15 +++++++++++++++
 2 files changed, 26 insertions(+)
 create mode 100644 index.html
 create mode 100644 outline.js

diff --git a/index.html b/index.html
new file mode 100644
index 0000000..9fb47a5
--- /dev/null
+++ b/index.html
@@ -0,0 +1,11 @@
+<!doctype html>
+<html lang="en">
+<head>
+	<title>outline.js</title>
+	<script src="outline.js"></script>
+</head>
+<body>
+	<h1>outline.js</h1>
+	<p><a href="#">Test link</a></p>
+</body>
+</html>
diff --git a/outline.js b/outline.js
new file mode 100644
index 0000000..68ae7dd
--- /dev/null
+++ b/outline.js
@@ -0,0 +1,15 @@
+(function(d){
+
+	var style_element = d.createElement('STYLE');
+	d.getElementsByTagName('HEAD')[0].appendChild(style_element);
+
+	d.onmousedown = function(){
+		style_element.innerHTML = 'a{outline:none}';
+	};
+
+	d.onkeydown = function(){
+		style_element.innerHTML = '';
+	};
+
+
+})(document);
